.disabled
{
	pointer-events: none;
	cursor: default;
	opacity: 0.6;
	color: #333;
}

html
{
	background-color: white;
	height: 100%;
	margin: 0px;
}

body
{
	font: 16px 'Segoe UI', 'Segoe UI Emoji', 'Open Sans', Helvetica, Arial, sans-serif;
	font-weight: 400;
	color: #333;
	margin: 0px;
	overflow-x: hidden;
	height: 100%;
	line-height: 24px;
}

.help
{
	height: 100%;
}

.footer
{
	position: absolute;
    width: 100%;
}

pre
{
	text-overflow: ellipsis;
	overflow: hidden;
}

.hero
{
	height: 100px;
	color: #0080e0;
	position: relative;
}

.header
{
	width: 100%;
}

.header .logo 
{
	position: absolute;
	top: 35px;
	left: 0px;
	z-index:10;
}

.header .logo img
{
	width: 155px;
	height: 30px;
}

.hero .content h3
{
	padding: 0px;
	padding-left: 140px;
	position: absolute;
	top: 30px;
	z-index:1;

	font: normal 26px 'Segoe UI Light', 'Helvetica Neue UltraLight', 'Open Sans', arial, sans-serif;
	font-weight: 300;
	line-height: 30px;
	margin: 0px;
	vertical-align: middle;
	display: inline-block;
}

.footer .content,
.hero .content
{
	border: 0;
}

.content
{
	position: relative;
	left: 50%;
	height: 100%;
	border-left: 1px solid #dadada;
	padding-left: 30px;
}

hr 
{
	margin: 100px auto 50px auto;
	width: 400px;
	border: 0;
	border-top: 1px solid #dadada;
}

.toc
{
	left: 50%;
	top: 130px;
	position: fixed;
	margin-left: -500px;
}

.toc a[guide="2"],
.toc a[guide="3"],
.toc a[guide="4"],
.toc a[guide="5"],
.toc a[guide="6"],
.toc a[guide="7"]
{
	display: none;
}

.toc a[guide_title]
{
	display: block;
}

.toc a
{
	text-decoration: none;
	color: #0080e0;
	line-height: 30px;
	display: block;
}

.toc a.active
{
	font-weight: bold;
}

.toc .indent
{
	margin-left: 20px;
}

.toc .indent2
{
	margin-left: 40px;
}

.toc .indent3
{
	margin-left: 60px;
}

.hero .content
{
	margin-left: -500px;
	width: 920px;
}

.content
{
	margin-left: -240px;
	width: 700px;
}

.content h2
{
	font: normal 32px 'Segoe UI Light', 'Helvetica Neue UltraLight', 'Open Sans', arial, sans-serif;
	font-weight: 300;
	vertical-align: middle;
	color: #0080e0;
	padding-top: 20px;
	margin: 0px;
}

.content h3
{
	font: normal 20px 'Segoe UI Light', 'Helvetica Neue UltraLight', 'Open Sans', arial, sans-serif;
	font-weight: 300;
	padding-top: 20px;
	margin: 0px;
	vertical-align: middle;
	color: #0080e0;
}

.content h4
{
	font: normal 16px 'Segoe UI Light', 'Helvetica Neue UltraLight', 'Open Sans', arial, sans-serif;
	font-weight: 300;
	padding-top: 20px;
	margin: 0px;
	vertical-align: middle;
	color: #0080e0;
}

p
{
	margin: 20px 0px;
}

.content .annotation 
{
	position: absolute;
	border-top: 1px solid #dadada;
	right: 0px;
	width: 182px;
	text-align: left;
	font-size: 12px;
	line-height: 18px;
}

.content .annotation b
{
	color: #0080e0;
	font: normal 16px 'Segoe UI Light', 'Helvetica Neue UltraLight', 'Open Sans', arial, sans-serif;
	line-height: 24px;
}

pre
{
	background: #fafafa;
	padding: 10px;
	font-size: 11px;
}

pre.defines,
pre.headers,
pre.request,
pre.response
{
	border: 1px solid #dadada;
	font-size: 14px;
	text-overflow: initial;
	overflow: initial;
	white-space: pre-wrap;
	margin: 30px 0px;
	word-break: break-word;
}

pre.request .t
{
	color: #0080e0;
}

pre.request .v
{
	color: #e06000;
}

pre.defines .d
{
	color: #7bc6ff;
}


pre.defines .n
{
	color: #0080e0;
}

pre.defines .v
{
	float: right;
}

pre.response .h
{
	color: lightgrey;
}

pre.response .t
{
	color: #0080e0;
}

pre.response .v
{
	color: #333;
}

pre.response .an
{
	color: #7bc6ff;
}

pre.response .av
{
	color: #e06000;
}

pre.response .indent
{
	display: block;
	padding-left: 10px;
}

ul
{
	column-count: 2;
	column-gap: 40px;
	padding-left: 20px;
	margin-top: 20px;
}

li
{
	padding-bottom: 20px;
	break-inside: avoid;
}

ul.api-toc
{
	list-style-type:lower-roman;
}

ul.api-toc li a
{
	color: #333;
	text-decoration: underline;	
}

ul.api-toc li a:hover
{
	color: #0080e0;
}

.content code
{
	white-space: nowrap;
	border-radius: 3px;
	border: 1px solid #ccc;
	background-color: #f9f9f9;
	padding: 0 3px;
	display: inline-block;
	margin: 2px 0px;
	font-family: 'Segoe UI', 'Segoe UI Emoji', 'Open Sans', Helvetica, Arial, sans-serif;
}

table
{
	margin-top: 1em;
	width: 700px;
}

.content .dns table
{
	width: 700px;
	margin-right: 10px;
	margin-bottom: 20px;
}

table p
{
	margin: 0px;
	padding: 5px;
}

th
{
	background: #fafafa;
	padding: 4px;
}

table
{
	border-collapse: collapse;
}

table,th,tr,td
{
	border: 1px solid #dadada;
}

td
{
	padding: 5px 10px;
}

.note
{
	margin: 20px 0px;
}

.note td
{
	padding: 20px 20px;
	width: 100%;
}

.note th
{
	width: 0px;
}

.note.table,.note th,.note tr,.note td
{
	border: 1px solid #0080e0;
}

.note.warning.table,.note.warning th,.note.warning tr,.note.warning td
{
	border: 1px solid #f6c342;
}

.note th
{
	background: #0080e0;
}

.note.warning th
{
	background: #f6c342;
}

a
{
	text-decoration: none;
	color: #0080e0;
}

a:hover
{
	text-decoration: underline
}

h3 a:hover
{
	text-decoration: none;
	font-weight: bold;
}

a[id]:hover
{
	text-decoration: none;
}

.footer 
{
	margin-top: 30px;
	background: #fafafa;
	height: 72px;
	font-size: 16px;
	color: #666;
	min-height: 72px;
	line-height: 72px;
}

.footer .links
{
	float: right;
}

.footer .links a 
{
	text-decoration: none;
	margin-left: 15px;
	color: #666;
}

.footer .impressum
{
	float: right;
}

.footer .impressum a 
{
	text-decoration: none;
	margin-left: 15px;
	color: #666;
}

.content img
{
	max-width: 700px;
}

.content h2 img
{
	margin-right: 10px;
	vertical-align: middle;
	margin-top: -6px;
	width: 40px;
	height: 40px;
}


@media only screen and (max-width: 1300px)
{
	body
	{
		font-size: 13px;
		line-height: 19px;
	}
	
	.help
	{
		margin: 0px 30px;
	}

    .content:after
    {
	    line-height: 58px;
    }

	.hero
	{
		height: 80px;
	}

	.header .logo 
	{
		top: 28px;
	}

	.header .logo img
	{
		width: 124px;
		height: 24px;
	}

	.hero .content h3
	{
		padding-left: 112px;
		top: 24px;

		font-size: 21px;
		line-height: 24px;
	}

	.content
	{
		padding-left: 24px;
	}

	hr 
	{
		margin: 80px auto 40px auto;
		width: 320px;
	}

	.toc
	{
		top: 104px;
		margin-left: -368px;
	}

	.toc a
	{
		line-height: 24px;
	}

	.toc .indent
	{
		margin-left: 16px;
	}

	.toc .indent2
	{
		margin-left: 32px;
	}

	.toc .indent3
	{
		margin-left: 48px;
	}

	.hero .content
	{
		margin-left: -368px;
		width: -936px;
	}

	.content
	{
		margin-left: -192px;
		width: 560px;
	}

	.content h2
	{
		font-size: 26px;
		padding-top: 16px;
	}

	.content h3
	{
		font-size: 16px;
		padding-top: 16px;
	}

	.content h4
	{
		font-size: 13px;
		padding-top: 13px;
	}

	p
	{
		margin: 16px 0px;
	}

	.content .annotation 
	{
		width: 146px;
		font-size: 10px;
		line-height: 15px;
	}

	.content .annotation b
	{
		font-size: 13px;
		line-height: 19px;
	}

	pre
	{
		padding: 8px;
		font-size: 9px;
	}

	pre.defines,
	pre.headers,
	pre.request,
	pre.response
	{
		font-size: 11px;
		margin: 24px 0px;
	}

	table
	{
		width: 560px;
	}

	.content .dns table
	{
		width: 560px;
		margin-right: 8px;
		margin-bottom: 16px;
	}

	th
	{
		padding: 8px;
	}

	td
	{
		padding: 4px 8px;
	}

	.note
	{
		margin: 16px 0px;
	}

	.note td
	{
		padding: 16px 16px;
	}

	.footer 
	{
		margin-top: 24px;
		height: 58px;
		font-size: 13px;
		min-height: 58px;
		line-height: 58px;
		position: fixed;
    	bottom: 0;
	}

	.footer .links a 
	{
		margin-left: 12px;
	}
	
	.footer .impressum a
	{
		margin-left: 12px;
	}

	.content img
	{
		max-width: 560px;
	}

    .content h2 img
    {
    	margin-right: 8px;
    	vertical-align: middle;
    	margin-top: -5px;
    	width: 32px;
    	height: 32px;
    }
}

@media only screen and (max-width: 850px)
{
	.toc
	{
		display: none;
	}

	body	
	{
		margin: 0px 30px;
	}

	table,
	.content .dns table
	{
		width: 100%;
	}

	.hero .content,
	.content
	{
		border: 0px;
		margin: 0px;
		width: 100%;
		left: auto;
		padding: 0px;
	}

	.hero .content h3
	{
		padding-left: 135px;
	}

	.content img
	{
		width: auto;
		max-width: 100%;
	}

	.footer
	{
		margin-left: -30px;
		margin-right: -30px;
	}

	.footer .links
	{
		margin-right: 20px;
	}

	.footer .copyright
	{
		margin-left: 20px;
	}
	
	.footer .impressum
	{
		margin-right: 20px;
	}
}

@media only screen and (max-width: 500px)
{
	.footer .links
	{
		display: none;
	}

	.footer .copyright
	{
		text-align: left;
	}

	.footer .impressum
	{
		display: block;
		text-align: center;
	}
}

@media print
{
	hr,
	.toc,
	.footer
	{
		display: none;
	}

	body	
	{
		margin: 10mm;
		-webkit-print-color-adjust: exact;
	}

	.pagebreak,
	hr
	{
		page-break-after: always;
	}

	h2,h3
	{
		page-break-before: avoid;
	}

	.hero .content,
	.content
	{
		border: 0px;
		margin: 0px;
		width: 100%;
		left: auto;
		padding: 0px;
	}

	.hero .content
	{
		text-align: center;
	}

	.header .logo img
	{
		width: 310px;
		height: 60px;
	}

	.hero .content .logo,
	.hero .content h3
	{
		position: relative;

		padding: 10px;
		display: block;
		font-size: 40px;
	}

	.hero
	{
		page-break-after: always;
		width: 100%;
		margin-top: 400px;
		padding: 0px;
	}

	.note, table
	{
		page-break-inside: avoid;
	}

	table,
	.content .dns table
	{
		width: 100%;
	}

	.content img
	{
		width: auto;
		max-width: 100%;
	}
}


